Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007126TestLinkReportspublic2015-05-20 13:262015-09-19 08:49
Reporterrodak 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows Server 2012OS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007126: Test report on SPECIFIC build displays wrong execution time
DescriptionHello,

when executing the report "test report on build", it displays the execution time of another build in the selected build. See screenshots to understand.
Steps To Reproduce- Create Testplan; assign testcases
- Create two builds (build_1 and build_2)
- Execute testcase in build_1 and enter an execution time
- Perform report "Test report on build" for build_2
  - make sure to include metrics in your report
- check the execution time
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesdocx file icon Testlink_execution_time_err_Test_report_on_build.docx [^] (100,843 bytes) 2015-05-20 13:26
docx file icon Testlink_execution_time_err_Test_report_on_build_en.docx [^] (57,866 bytes) 2015-05-21 07:20

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023381)
fman (administrator)
2015-05-20 18:21
edited on: 2015-05-20 18:23

Dear user:
1) no matter what info is provided inside of attached word file, is needed that in simple words the ERROR on calculation be explained.
This is the guidelines I want be used on this project in order to provide best support with less effort

2) be kindly enough to provide any material in ENGLISH LANGUAGE

(0023382)
fman (administrator)
2015-05-20 18:23

waiting for user clarification
(0023385)
rodak (reporter)
2015-05-21 07:22

Attached english screenshos.

A more detailed description:

Execution times were recorded only for build_1, not for build_2.

When creating a word/html report on a specific build, both reports show the same execution times. The report for build_2 displays the execution times for build_1 (43), but it should be zero (0). Hence, the execution times are not correctly selected for the specific build.
(0023403)
fman (administrator)
2015-05-25 17:55

Seems that execution time is calculated IGNORING BUILD, and considering ALWAYS last exec result (analising ALL BUILDS present on TEST PLAN).
(0023404)
fman (administrator)
2015-05-25 18:34

Tested WITHOUT USING PLATFORMS (test is needed on this scenario), works OK
(0023405)
fman (administrator)
2015-05-25 18:36

Please get latest code from github (20150525 - 20:35 CET), do fresh install, retest & provide feedback

Commit:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/b2248bcb1715f04c62bc776efb201171af2931ad [^]
(0023431)
fman (administrator)
2015-06-02 18:54

no more user feedback
(0023931)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-05-20 13:26 rodak New Issue
2015-05-20 13:26 rodak File Added: Testlink_execution_time_err_Test_report_on_build.docx
2015-05-20 18:21 fman Note Added: 0023381
2015-05-20 18:23 fman Note Edited: 0023381 View Revisions
2015-05-20 18:23 fman Note View State: 0023381: public
2015-05-20 18:23 fman Note Added: 0023382
2015-05-20 18:23 fman Assigned To => fman
2015-05-20 18:23 fman Status new => feedback
2015-05-21 07:20 rodak File Added: Testlink_execution_time_err_Test_report_on_build_en.docx
2015-05-21 07:22 rodak Note Added: 0023385
2015-05-21 07:22 rodak Status feedback => assigned
2015-05-25 17:55 fman Note Added: 0023403
2015-05-25 17:56 fman Status assigned => acknowledged
2015-05-25 17:56 fman QA Team - Task Workflow Status => TBD
2015-05-25 18:33 fman Summary Test report on build displays wrong execution time => Test report on SPECIFIC build displays wrong execution time
2015-05-25 18:34 fman Note Added: 0023404
2015-05-25 18:36 fman Note Added: 0023405
2015-05-25 18:36 fman Relationship added child of 0006830
2015-05-25 18:37 fman Status acknowledged => feedback
2015-06-02 18:54 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-06-02 18:54 fman Note Added: 0023431
2015-06-02 18:54 fman Status feedback => resolved
2015-06-02 18:54 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-02 18:54 fman Resolution open => fixed
2015-09-19 08:49 fman Note Added: 0023931
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker